[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.ExtTextOut

Draws a string without formatting (single line).

## Declaration

Source position: winapih.inc line 100

`public function TWidgetSet.ExtTextOut(`
`DC: HDC;`
`X: Integer;`
`Y: Integer;`
`Options: LongInt;`
`Rect: PRect;`
`Str: PChar;`
`Count: LongInt;`
`Dx: PInteger`
`):Boolean; virtual;`

## Arguments

`DC` |  | The Device Context.
`X` |  | The reference point, used to position the text.
`Y` |  | The reference point, used to position the text.
`Options` |  | Output options.
`Rect` |  | The bounding rectangle.
`Str` |  | The text.
`Count` |  | The number of (Wide)Chars in the string.
`Dx` |  | Pointer to an array of inter-character spacing values, can be Nil.

## Function result

False on failure.

## Description

The string is drawn with the current font and colors. The following Options are supported:

ETO_CLIPPED
  The text is clipped to the given rectangle.
ETO_OPAQUE
  The rectangle is filled with the background color.